### DB_SEQUENCE->initial_value |

`

###

    #include <db.h>

    int
    DB_SEQUENCE->initial_value(DB_SEQUENCE *seq, db_seq_t value);

### Description: DB_SEQUENCE->initial_value

Set the initial value for a sequence. This call is only effective when the sequence is being created.

The DB_SEQUENCE->initial_value method may not be called after the DB_SEQUENCE->open method is called.

The DB_SEQUENCE->initial_value method returns a non-zero error value on failure and 0 on success.

### Parameters

value
  The initial value to set.

### Errors

The DB_SEQUENCE->initial_value method may fail and return one of the following non-zero errors:

EINVAL
  An invalid flag value or parameter was specified.

### Class

DB_SEQUENCE

### See Also

Sequences and Related Methods`

Copyright (c) 1996-2006 Oracle Corporation - All rights reserved.